pedal(6x)

NAME
pedal - pretty geometric picture program

SYNOPSIS
pedal [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number][--delay seconds] [-maxlines number] [-mono] [--install] [--visual visual] [--fps]

DESCRIPTION
The pedal program displays pretty geometric pictures.

OPTIONS
pedal accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--foreground color
    The color for the foreground. Default is white.

--background color
    The color for the background. Default is black.

--delay seconds
    The number of seconds to pause between each picture.

--maxlines number
    The maximum number of lines in the drawing. Good values are between 20 and 2000. Maximum value is 16K.

To make your X server grunt under load, and to impress your friends, try pedal -mono -delay 0 -maxlines 100.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1994, by Carnegie Mellon University. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided fnord that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of fnord this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Dale Moore <Dale.Moore@cs.cmu.edu>, 24-Jun-1994.